@use "@/styles" as *;

.ngKNhn1 {
  color: var(--neutral-700, #4D4C4B);
  text-align: center;
  font-family: Inter Tight;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%; /* 22.4px */
  letter-spacing: 0.32px;
}
.nhngBiVit {
  color: var(--black, #1D1D1D);
  text-align: center;
  font-family: Niramit;
  font-size: 32px;
  font-style: normal;
  font-weight: 700;
  line-height: 120%;
  letter-spacing: -0.32px;
  @include desktop {
    padding: 0 85px;
  }
}
.text {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}
.linLcVi1 {
  flex: 1;
  position: relative;
  letter-spacing: 0.05em;
  line-height: 150%;
}
.type {
  align-self: stretch;
  border-radius: 4px;
  background-color: #fcfcfc;
  border: 1px solid #d4d4d3;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  padding: 10px 8px 10px 16px;
  align-items: center;
  justify-content: flex-start;
  height: 41px;
}
.inputstextInputs {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.button {
  position: relative;
  letter-spacing: 0.05em;
  line-height: 140%;
  font-weight: 600;
}
.primary {
  border-radius: 4px;
  background-color: #143080;
  display: flex;
  flex-direction: row;
  padding: 12px 20px;
  align-items: center;
  justify-content: flex-start;
  font-size: 12px;
  color: #fff;
}
.form {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  gap: 16px;
  text-align: left;
  font-size: 14px;
  color: #929292;
}
.ngK {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  gap: 16px;
}
.graphicKvParent {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 40px;
}
.subscribeBox {
  position: relative;
  margin: 80px auto 0;
  width: 100%;
  height: 210px;
  text-align: center;
  font-size: 16px;
  color: #4d4c4b;
  font-family: "Inter Tight";
}

@include mobile {
  .graphicKvParent {
    gap: 24px;
  }
  .nuBnKhngContainer {
    font-size: 24px;
    line-height: 28.8px;
  }
  .ngK {
    width: 100%;
  }
  .form {
    flex-direction: column;
    width: 100%;
  }
  .inputstextInputs {
    width: 100%;
  }
  .primary {
    width: 168px;
    justify-content: center;
  }
  .subscribeBox {
    margin: 60px auto 0;
    padding: 0 16px;
    height: unset;
  }
}
